data:extend( {
  {
    type = "recipe",
    name = "tardis-key",
    enabled = "false",
    ingredients =
    {
      {"iron-plate", 1},
    },
    result="tardis-key",
  },
  {
    type = "item",
    name = "tardis-key",
    icon = "__"..mod_name.."__/graphics/temp-icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "circuit-network",
    place_result="tardis",
    order = "z[zebra]-z[zed]",
    stack_size = 50,
    place_result = "tardis",
  },
  {
    type = "container",
    name = "tardis-key",
    icon = "__"..mod_name.."__/graphics/temp-icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 20, mining_time = 0.5, result = "tardis-key"},
    max_health = 1000,
    corpse = "small-remnants",
    inventory_size = 0,
    order = "z[zebra]-z[zed]",

    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},

    picture =
    {
      filename= "__"..mod_name.."__/graphics/temp-icon.png",
      width = 45,
      height = 40,
      shift = {0.15, 0},
    },
  },

  {
    type = "car",
    name = "tardis",
    icon = "__"..mod_name.."__/graphics/temp-icon.png",
    flags = {"placeable-neutral", "placeable-off-grid", "player-creation"},
    minable = {hardness=100, mining_time = 1, result = "tardis-key"},
    max_health = 1000,
    order="z[zebra]",
    corpse = "tardis-remnants",
    energy_per_hit_point = 1,
    crash_trigger = crash_trigger(),
    resistances =
    {
      {
        type = "fire",
        percent = 50
      },
      {
        type = "impact",
        percent = 30,
        decrease = 30,
      }
    },
    collision_box = {{-.5, -.5}, {.5,.5}},
    collision_mask = { "item-layer", "object-layer", "water-tile"},
    selection_box = {{-.5,-.5}, {.5,.5}},
    effectivity = 0.5,
    braking_power = "200kW",
    burner =
    {
      effectivity = 0.6,
      fuel_inventory_size = 1,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.25, 0.25},
          frequency = 50,
          position = {0, 1.5},
          starting_frame = 3,
          starting_frame_deviation = 5,
          starting_frame_speed = 0,
          starting_frame_speed_deviation = 5
        }
      }
    },
    consumption = "150kW",
    friction = 2e-3,
    animation =
    {
      layers =
      {
        {
          width = 32,
          height = 32,
          frame_count = 1,
          direction_count = 1,
          shift = {-2/32,-8/32},
          animation_speed = 0.1,
          max_advance = 0.2,
          stripes =
          {
            {
             filename =  "__"..mod_name.."__/graphics/temp-icon.png",

             width_in_frames = 1,
             height_in_frames = 1,
            },
          }
        },
      }
    },
    stop_trigger_speed = 0.2,

    sound_minimum_speed = 0.2;
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/car-engine.ogg",
        volume = 0.6
      },
      activate_sound =
      {
        filename = "__base__/sound/car-engine-start.ogg",
        volume = 0.6
      },
      deactivate_sound =
      {
        filename = "__base__/sound/car-engine-stop.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },
    open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },
    close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
    rotation_speed = 0.015,
    weight = 700,
    guns = { },
    inventory_size = 0,
    created_effect = {
      type="direct",
      force="all",
      action_delivery = {
        type="instant",
        source_effects =  {
          {
            type = "play-sound",
            sound =
            {
              {
                filename = "__"..mod_name.."__/sounds/tardis2.ogg",
                volume = 0.6
              },
            },
          },
        },
      },
    },
  },
  {
    type = "corpse",
    name = "tardis-remnants",
    icon = "__"..mod_name.."__/graphics/temp-icon.png",
    flags = {"placeable-neutral", "building-direction-8-way", "not-on-map"},
    selection_box = {{-.5, -.5}, {.5, .5}},
    tile_width = 1,
    tile_height = 1,
    selectable_in_game = false,
    subgroup = "remnants",
    order="d[remnants]-a[generic]-b[medium]",
    tile_width = 2,
    tile_height = 2,
    time_before_removed = 60 * 10,
    final_render_layer = "remnants",
    animation = {
      {
        width = 32,
        height = 32,
        frame_count = 1,
        direction_count = 1,
        filename = "__"..mod_name.."__/graphics/temp-icon.png",
      },
    },
    created_effect = {
      type="direct",
      force="all",
      action_delivery = {
        type="instant",
        source_effects =  {
          {
            type = "play-sound",
            sound =
            {
              {
                filename = "__"..mod_name.."__/sounds/tardis2.ogg",
                volume = 0.6
              },
            },
          },
        },
      },
    },
  },
})
